INCLUDES= -I$(top_srcdir)/knewsticker/common $(all_includes)

kde_module_LTLIBRARIES = kcm_knewsticker.la

kcm_knewsticker_la_SOURCES = newssourcedlg.ui kcmnewstickerwidget.ui \
	newssourcedlgimpl.cpp kcmnewsticker.cpp

kcm_knewsticker_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module \
	-L$(top_builddir)/knewsticker/common
kcm_knewsticker_la_LIBADD = $(LIB_KDEUI) $(LIB_KFILE) \
	$(top_builddir)/knewsticker/common/libknewstickercommon.la

METASOURCES = AUTO

noinst_HEADERS = newssourcedlg.h newssourcedlgimpl.h \
	kcmnewstickerwidget.h kcmnewsticker.h

KDE_ICON = kcmnewsticker

messages: rc.cpp
	$(XGETTEXT) *.cpp ../common/newsengine.cpp -o $(podir)/kcmnewsticker.pot

data_DATA = kcmnewsticker.desktop
datadir = $(kde_appsdir)/.hidden

install-data-local: uninstall.desktop
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Settings/Personalization
	$(INSTALL_DATA) $(srcdir)/uninstall.desktop $(DESTDIR)$(kde_appsdir)/Settings/Personalization/kcmnewsticker.desktop
